//
//  ParcelGlanceController.swift
//  RWPS
//
//  Created by Mic Pringle on 05/12/2014.
//  Copyright (c) 2014 Razeware LLC. All rights reserved.
//

import WatchKit
import Foundation

class ParcelGlanceController: WKInterfaceController {
  
  @IBOutlet weak var deliveryTimer: WKInterfaceTimer!
  @IBOutlet weak var itemNameLabel: WKInterfaceLabel!
  @IBOutlet weak var locationLabel: WKInterfaceLabel!
  
  private let coreDataStack = CoreDataStack()
  
  override func willActivate() {
    super.willActivate()
    
    if let parcel = coreDataStack.nextParcel() {
      if let deliveryDate = parcel.deliveryDateForUseWithTimer() {
        deliveryTimer.setDate(deliveryDate)
        deliveryTimer.start()
      }
      itemNameLabel.setText(parcel.itemName)
      locationLabel.setText("Currently at \(parcel.location)")
      
      updateUserActivity("com.micpringle.RWPS.glance", userInfo: ["orderNo": parcel.orderNo])
    }
  }
  
}