//
//  ParcelListViewController.swift
//  RWPS
//
//  Created by Mic Pringle on 04/12/2014.
//  Copyright (c) 2014 Razeware LLC. All rights reserved.
//

import UIKit
import CoreData

class ParcelListViewController: UITableViewController {
  
  var parcels = [Parcel]()
  
  // MARK: UIViewController
  
  override func viewDidLoad() {
    super.viewDidLoad()
    tableView.tableFooterView = UIView()
  }
  
  override func viewDidAppear(animated: Bool) {
    super.viewDidAppear(animated)
    
    let eventManager = EventManager()
    if eventManager.shouldRequestAuthorisation() {
      eventManager.requestAuthorisation()
    }
  }
  
  override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
    let indexPath = tableView.indexPathForSelectedRow()!
    let parcelDetailViewController = segue.destinationViewController as ParcelDetailViewController
    parcelDetailViewController.parcel = parcels[indexPath.row]
    tableView.deselectRowAtIndexPath(indexPath, animated: true)
  }
    
  // MARK: UITableViewDataSource
  
  override func numberOfSectionsInTableView(tableView: UITableView) -> Int {
    return 1
  }
  
  override func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
    return parcels.count
  }
  
  override func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
    let parcel = parcels[indexPath.row]
    let cell = tableView.dequeueReusableCellWithIdentifier("ParcelCell") as ParcelCell
    cell.configureForParcel(parcel)
    return cell
  }
  
}
